Name: distronavigator
Version: 0.8.6
Release: alt17
Summary: DistroNavigator - gui for mkimage-profiles-desktop.
Summary(ru_RU.UTF-8): ДистроНавигатор - gui для сборки дистрибутивов на пакетной базе ALT Linux в mkimage-profiles-desktop и mkimage-profiles.
License: GPL2
Group: Other

URL: http://forum.russ2.com/index.php?showtopic=3500&view=findpost&p=35777
Packager:  Ivan Kornilov
BuildArch: noarch

Source: %name-%version.tar.gz
Requires: python python-base python-dev python-modules-tkinter python-modules-encodings python-module-imaging make apt-repo-tools hasher mkimage autoconf_2.60 rpm-build rpm-build-python rpm-build-xdg cpio fonts-ttf-dejavu fonts-ttf-droid  fonts-ttf-google-droid-sans design-bootloader-source  gfxboot  libqt4-core libalternatives-devel libqt4-devel fontconfig bc libGConf-devel rpm-build-perl mpg123 ImageMagick sed syslinux python-module-sip python-module-PyQt4 wget synaptic-usermode mkimage-preinstall
AutoReqProv: no

%description
gui for mkimage-profiles-desktop and mkimage-profiles.

%description -l ru_RU.UTF-8
Графический интерфейс к системам сборки дистрибутивов на пакетной базе ALT Linux, с подробной справкой. Программа предназначена в первую очередь для начинающих дистростроителей.

%prep
%setup -q

%install
mkdir -p %buildroot%_datadir/%name
mkdir -p %buildroot%_desktopdir
mkdir -p %buildroot%_liconsdir
cp -R * %buildroot%_datadir/%name
install -Dp -m0755 %name %buildroot%_bindir/%name
install -Dp -m0644 %name.py %buildroot%_datadir/%name
install -Dp -m0644 %name.desktop %buildroot%_desktopdir
install -Dp -m0644 %name.png %buildroot%_liconsdir
install -Dp -m0755 postinstall %buildroot%_datadir/%name/postinstall
install -Dp -m0755 postinstall.py %buildroot%_datadir/%name/postinstall.py

%files
%_bindir/%name
%_datadir/%name
%_desktopdir/%name.desktop
%_liconsdir/%name.png

%post
/usr/share/distronavigator/postinstall
python /usr/share/distronavigator/postinstall.py